Skip to main content
GET
Get a custom report definition

Authorizations

Authorization
string
header
required

Supabase JWT — Authorization: Bearer <token>.

Query Parameters

merchant_id
string<uuid>

Optional merchant to scope to. Admins and sub-merchant operators only; other callers always use their token's merchant.

Example:

"28106cba-1c27-4e53-b149-32113e5e8e31"

id
string<uuid>
required

Report id (from list_reports).

Response

The report.

id
string<uuid>
required
title
string
required
visibility
enum<string>
required
Available options:
private,
merchant,
people,
template
access
enum<string>
required
Available options:
owner,
edit,
view
version
integer
required
admin_url
string
required
definition
any | null

The published ReportDefinition.

draft_definition
any | null

Unpublished edits (only for people who can edit), or null.

{key}
unknown